List accessPackageAssignmentRequests
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
In Azure AD entitlement management, retrieve a list of accessPackageAssignmentRequest objects. The resulting list includes all the assignment requests, current and well as expired, that the caller has access to read, across all catalogs and access packages.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
HTTP request
GET /identityGovernance/entitlementManagement/accessPackageAssignmentRequests
Query parameters
This method supports the $select, $expand and $filter OData query parameters to help customize the response.
If the user or application only has permissions within a specific catalog or catalogs, you must include in the query a filter which specifies an access package, such as $expand=accessPackage&$filter=accessPackage/id eq '9bbe5f7d-f1e7-4eb1-a586-38cdf6f8b1ea'.
Example scenarios for using query parameters
- To retrieve the access package of each request, include
$expand=accessPackagein the query. - To retrieve the resulting assignment, include
$expand=accessPackageAssignmentin the query. - To obtain more details on the requestor, include
$expand=requestorin the query.
For general information, see OData query parameters.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of accessPackageAssignmentRequest objects in the response body.
Examples
Request
The following is an example of the request. The request URI includes $filter to only return requests in a particular state, and $expand to return details of the requestor and their connected organization as well.
GET https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackageAssignmentRequests?$expand=requestor($expand=connectedOrganization)&$filter=(requestState eq 'PendingApproval')
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "433dafca-5047-4614-95f7-a03510b1ded3",
"requestType": "UserAdd",
"requestState": "PendingApproval",
"createdDateTime": "2019-10-25T22:55:11.623Z",
"justification": "Need access",
"answers": [],
"requestor": {
"connectedOrganizationId": "c3c2adbc-a863-437f-9383-ee578665317d",
"id": "ba7ef0fb-e16f-474b-87aa-02815d061e67",
"displayName": "displayname",
"email": "displayname@example.com",
"type": "User",
"connectedOrganization": {
"id": "c3c2adbc-a863-437f-9383-ee578665317d",
"displayName": "example"
}
}
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk